summaryrefslogtreecommitdiffstats
path: root/gitolite/dotfiles/local/triggers/push
diff options
context:
space:
mode:
Diffstat (limited to 'gitolite/dotfiles/local/triggers/push')
-rwxr-xr-xgitolite/dotfiles/local/triggers/push18
1 files changed, 18 insertions, 0 deletions
diff --git a/gitolite/dotfiles/local/triggers/push b/gitolite/dotfiles/local/triggers/push
new file mode 100755
index 0000000..7a3cb56
--- /dev/null
+++ b/gitolite/dotfiles/local/triggers/push
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+[ "$4" = "W" ] || exit 0
+
+cd "$GL_REPO_BASE/$2.git"
+head=$(git symbolic-ref HEAD)
+
+if ! [ -f "$head" ]; then
+ set -- refs/heads/*
+ if [ "$#" -eq 1 ]; then
+ git symbolic-ref HEAD "$1"
+ echo "NOTICE: Default branch set to $1" >&2
+ else
+ echo "WARNING: The default branch is $head, but no such branch exists" >&2
+ fi
+fi
+
+git log -1 --all --date-order --format=%ci >agefile